Index

Arclab MailMe! Pro v3.1 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

1. Installation

  • 1.1 Copy/upload the file mailmepro.exe
  • 1.2 Create a Success! and Error! page
  • 1.3 Use Frontpage to create the form
  • 1.4 Use an editor to create the form (hand-coded)
  • 1.5 Use the MailMe! Pro form wizard (wizard.exe)

2. Basic settings

  • 2.1 SMTP server (MAILME_SERVER)
  • 2.2 Recipient(s) (MAILME_TO)
  • 2.3 Success page (MAILME_SUCCESS)
  • 2.4 Error page (MAILME_ERROR)

3. Optional settings

  • 3.1 Required page (MAILME_REQUIRED)
  • 3.2 Bad email page (MAILME_BADEMAIL)
  • 3.3 From (MAILME_FROM)
  • 3.4 Subject (MAILME_SUBJECT)
  • 3.5 Mail priority (MAILME_PRIORITY)
  • 3.6 Environment report (MAILME_ENVREPORT)
  • 3.7 Debug mode (MAILME_DEBUG)
  • 3.8 Strip empty fields (MAILME_NOEMPTYFIELDS)
  • 3.9 Friendly From (MAILME_FROMFRIENDLY)
  • 3.10 SMTP server port (MAILME_SERVERPORT)
  • 3.11 Security: Allowed recipients (to)

4. Mail format

  • 4.1 HTML
  • 4.2 Plain text
  • 4.3 Template (HTML+plain text)
  • 4.4 Template format

5. Form fields

  • 5.1 Required fields (_R_)
  • 5.2 Emailaddress verification (_E_)
  • 5.3 Override from (_F_)
  • 5.4 Override from and emailaddress verification (_EF_)
  • 5.5 Form field types
  • 5.6 Ignore (_I_)
  • 5.7 Reject emailaddresses (MAILME_REJECTEMAIL)

6. Include form data

  • 6.1 Include field variables
  • 6.2 Include environment variables

7. Autoresponder

  • 7.1 Required settings (_EF_ and RESPOND_TEMPLATE)
  • 7.2 Optional settings (RESPOND_FROM, RESPOND_SUBJECT, RESPOND_FROMFRIENDLY and RESPOND_PRIORITY)

A. License agreement

B. Contact

C. Frequently Asked Questions FAQ

  • 1. How to setup Microsoft Internet Information Server (IIS) for running Arclab MailMe?
  • 2. Can I use Frontpage to setup access permissions for the cgi-bin / scripts directory?
  • 3. Problems with SMTP Server, MailMe! always shows the Error Page
  • 4. The autoresponder email seems not to work, but everytime I test it with my emailaddress it works, whats wrong?
  • 5. Should I use ASCII or BINARY mode when uploading (FTP)?

D. Error codes

E. Samples


Autoresponder

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

7. Autoresponder

Important!
The webserver (running mailmepro.exe) need mail relay privileges to use the autoresponder function. Without this privilege mailmepro.exe can only send mails to local domains. If you have questions about mail relaying please send an email to support@arclab.com

If you have opened the mailserver, you should define allowed target email addresses (to).
See also: 3.11 Security: Allowed recipients (to)

7.1 Required settings (_EF_ and RESPOND_TEMPLATE)

To use the autoresponder you have to define one of your fields variables with _EF_. The user should enter his emailaddress here. This value is used as recipient for the autoresponder email. If the user has to fill out this field. (_EF_ override from and emailaddress verification).

You also have to specify the template which should be used as email message. Inside this template you can use all form and user variables. (See also 4.4, 6.1, 6.2)

This file must be in the same directory on the web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Sample:

Define one field in which the user should enter his address:
<input type="text" name="_EF_Email" value="">

Setup the template URL:
<input type="hidden" name="RESPOND_TEMPLATE" value="autoresponder.txt">

7.2 Optional settings (RESPOND_FROM, RESPOND_SUBJECT and RESPOND_PRIORITY)

RESPOND_FROM
Sender (from) of the email. MAILME_TO is used as sender if this field is not set.

Sample:
<input type="hidden" name="RESPOND_FROM" value="you@domain.xxx">

RESPOND_FROMFRIENDLY
Friendly name of the sender (from).

Sample:
Arclab Software
<input type="hidden" name="MAILME_FROMFRIENDLY" value="Arclab Software">

RESPOND_PRIORITY
Select "HIGH" for high priority of the autoresponderemail. Normal is used as default value.

Sample:
<input type="hidden" name="RESPOND_PRIORITY" value="HIGH">

RESPOND_SUBJECT
Subject for the autoresponderemail. You can also include user fields here, format: ##VARNAME##.
A generic subject is used if you don't set RESPOND_SUBJECT.

Sample:
<input type="hidden" name="RESPOND_SUBJECT" value="Thanks for your order">


Basic settings

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

2. Basic settings

2.1 SMTP server (MAILME_SERVER)

Domain name or IP address of SMTP server or a dotted number (IP address).

There is at least one server available, which accepts messages for the specified email address. If you have any problems e.g. the script does not respond or you always receive the error page, use the program mxresolve.exe (tools\mxresolve.exe) to resolve the correct server for the given email address.

If you have any problems, please send an email to support@arclab.com.

This setting is required. MailMe!PRO cannot work without.

Samples:

mail.domain.xxx
<input type="hidden" name="MAILME_SERVER" value="mail.domain.xxx">

192.168.1.1
<input type="hidden" name="MAILME_SERVER" value="192.168.1.1">

2.2 Recipient(s) (MAILME_TO)

Recipients address, seperate multiple addresses with commas.
This setting is required. MailMe!PRO cannot work without.

Make sure the recipients are local users of MAILME_SERVER if mail relaying is not allowed.
MAILME_SERVER = mail.domain.xxx
MAILME_TO = you@domain.xxx

Samples:

you@domain.xxx
<input type="hidden" name="MAILME_TO" value="you@domain.xxx">

you@domain.xxx, recipient2@domain.xxx, recipient3@domain.xxx
<input type="hidden" name="MAILME_TO" value="you@domain.xxx, recipient2@domain.xxx, recipient3@domain.xxx">

2.3 Success page (MAILME_SUCCESS)

The success page is shown after the mail was sent.
This setting is required. MailMe!PRO cannot work without.

This file must be in the same directory on the web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Samples:

success.html
<input type="hidden" name="MAILME_SUCCESS" value="success.html">

thanks.htm
<input type="hidden" name="MAILME_SUCCESS" value="thanks.htm">

2.4 Error page (MAILME_ERROR)

The success page is shown if an error occurs. This page is also shown if the user leaves an required user field empty and there is no required page (MAILME_REQUIRED) defined.
This setting is required. MailMe!PRO cannot work without.

This file must be in the same directory on the web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Samples:

error.html
<input type="hidden" name="MAILME_ERROR" value="error.html">

no.htm
<input type="hidden" name="MAILME_ERROR" value="no.htm">


Contact

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

B. Contact

Order
Please go to our webpage for details.
http://www.arclab.com/products/mailme
We accept all major credit cards and purchase orders.

Download the latest version
http://www.arclab.com/products/mailme

Support
http://www.arclab.com/support
support@arclab.com
If you have any technical questions.


Error codes

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

D. Error codes

Error code | Description | Solution
MailMe Error 100 | Socket init failed (very rare) | Install TCP/IP
MailMe Error 300 | MAILME_TO undefined | Define MAILME_TO inside your form.
MailMe Error 301 | MAILME_SERVER undefined | Define MAILME_SERVER inside your form.
MailMe Error 302 | MAILME_SUCCESS undefined | Define MAILME_SUCCESS inside your form.
MailMe Error 303 | MAILME_ERROR undefined | Define MAILME_ERROR inside your form.
MailMe Error 600 | File not found / access denied | Verify the filename,path and user access permissions This file must be in the same directory on the web server as the file mailmepro.exe! Please enter only the filename! Format: filename.extension
MailMe Error 700 | Incorrect filename | Rename executable (.exe) to mailmepro.exe
MailMe Error 701 | Invalid document filename | Verify the filename/path. Place result pages & templates in the same directory as mailmepro.exe. This file must be in the same directory on the web server as the file mailmepro.exe! Please enter only the filename! Format: filename.extension
MailMe Error 702 | Cannot use executable as document | Use only documents for result pages & templates
MailMe Error 703 | Cannot use dll as document | Use only documents for result pages & templates This file must be in the same directory on the web server as the file mailmepro.exe! Please enter only the filename! Format: filename.extension
MailMe Error 704 | Directory change not allowed | Place result pages & templates in the same directory as mailmepro.exe
HTTP 403 | Access forbidden | Set execute rights for the directory containing Arclab MailMe! Pro
MailMe Error 900 | Email address not allowed | Add the email address (MAILME_TO) to allowed recipients -> recipients.txt


FAQ

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

C. Frequently Asked Questions FAQ

1. How to setup Microsoft Internet Information Server (IIS) for running Arclab MailMe?

Open the Internet Service Manager:
Setup access permissions for the directory containing mailmepro.exe:
Set "Execute" permissions for the directory, "Script" is for scripts, not for applications like arclab MailMe!. "Execute" enables applications to run in this directory (.dll and .exe files).

Rights are granted to the anonymous (IUSR_...) from the Information Server and from NT/2000.
So If you still cannot use Arclab MailMe!:
Open the File Manager:
The files inside the directory must have required access permissions for the IUSR_... account. (Read)

2. Can I use Frontpage to setup access permissions for the cgi-bin / scripts directory?

Yes, set the "Execute" rights (Script is for scripts, like Perl - MailMe! is an application and needs Execute) for the directory which contains mailmepro.exe. Do a right click on the directory to set the access permissions.

3. Problems with SMTP Server, MailMe! always shows the Error Page

Make sure the recipients are local users of MAILME_SERVER. By default, mail relaying is not allowed on most of the smtp servers without authentication via POP/IMAP first, but mail for the local domain is always accepted.
MAILME_SERVER = mail.domain.xxx
MAILME_TO = you@domain.xxx

There is at least one server available, which accepts messages for the specified email address. If you have any problems e.g. the script does not respond or you always receive the error page, use the program mxresolve.exe to resolve the correct server for the given email address.

If you have any problems, please send an email to support@arclab.com.

4. The autoresponder email seems not to work, but everytime I test it with my emailaddress it works, whats wrong?

The webserver (running mailmepro.exe) need mail relay privileges to use the autoresponder function. Without this privilege mailmepro.exe can only send mails to local domains. If you have questions about mail relaying please visit our FAQ page http://www.arclab.com/support or send an email to support@arclab.com

5. Should I use ASCII or BINARY mode when uploading (FTP)?

Use BINARY mode for executables (mailmepro.exe).
The most FTP clients select the upload method automatically!


Mail format

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

4. Mail format

4.1 HTML

This is the default format. The email is sent as HTML email with a formatted output, which contains all relevant information together with all user variables. The email contains also a text part if your browser is not able to display HTML emails.

Default (used if MAILME_FORMAT is not defined): HTML
<input type="hidden" name="MAILME_FORMAT" value="HTML">

Sample email output: (HTML format)

4.2 Plain text

The email is sent as text only email with a formatted output, which contains all relevant information together with all user variables.

TEXT
<input type="hidden" name="MAILME_FORMAT" value="TEXT">

4.3 Template (HTML+plain text)

Set MAILME_TEMPLATE to use a template for the email. The template file need a special format.

This file must be in the same directory on the web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Samples:

email.template
<input type="hidden" name="MAILME_TEMPLATE" value="email.template">

mail.txt
<input type="hidden" name="MAILME_TEMPLATE" value="mail.txt">

Sample email output: (HTML format)

4.4 Template format

You can use any (text) editor to create the required template file. The template should contain all variables as placeholders. (See also: 6.)

The template file needs the following format:

[MAILME_TEMPLATE_TEXT]
Enter the text part here! ...##VARNAME##...

[MAILME_TEMPLATE_HTML]
<html>
...Enter the html part here!...##VARNAME##...
</html>

Sample template.txt:

[MAILME_TEMPLATE_TEXT]
MailMe! Pro Sample Template
Date: ##DATE##
From: ##MAILME_FROM##
To: ##MAILME_TO##
Subject: ##MAILME_SUBJECT##
Email
Email: ##Email##
Address Form
Name: ##Name##
Firstname: ##FirstName##
Company: ##Company##
Street: ##Street##
Street2: ##Street2##
City: ##City##
State: ##State##
Zip: ##Zip##
County: ##Country##
Misc Customer Information
Phone: ##Phone##
Fax: ##Fax##
Homepage: ##Homepage##
Reference: ##Reference##
Comments
Comments: ##Comments##
Sample Fields
Onelinetextbox: ##Onelinetextbox##
Scrollingtextbox: ##Scrollingtextbox##
Checkbox: ##Checkbox##
Radiobutton: ##Radiobutton##
Dropdownmenu: ##Dropdownmenu##

[MAILME_TEMPLATE_HTML]
<html>

<head>
<meta http-equiv="Content-Type"
content="text/html; charset=iso-8859-1">
<meta name="GENERATOR" content="Microsoft FrontPage Express 2.0">
<title>MailMe!</title>
</head>

<body bgcolor="#FFFFFF">

<table border="1" cellpadding="2" cellspacing="0" width="100%"
bordercolor="#000000" bordercolordark="#000000"
bordercolorlight="#000000">
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>MailMe! Pro
Sample Template</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFFFC6"><font size="1"
face="Arial">Date:</font></td>
<td><font size="1" face="Arial">##DATE##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFFFC6"><font size="1"
face="Arial">From:</font></td>
<td><font size="1" face="Arial">##MAILME_FROM##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFFFC6"><font size="1"
face="Arial">To:</font></td>
<td><font size="1" face="Arial">##MAILME_TO##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFFFC6"><font size="1"
face="Arial">Subject:</font></td>
<td><font size="1" face="Arial">##MAILME_SUBJECT##</font></td>
</tr>
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>Email</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#CAFFCA"><font size="1"
face="Arial">Email:</font></td>
<td><font size="1" face="Arial">##Email##</font></td>
</tr>
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>Address
Form</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Name:</font></td>
<td><font size="1" face="Arial">##Name##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Firstname:</font></td>
<td><font size="1" face="Arial">##FirstName##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Company:</font></td>
<td><font size="1" face="Arial">##Company##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Street:</font></td>
<td><font size="1" face="Arial">##Street##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Street2:</font></td>
<td><font size="1" face="Arial">##Street2##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">City:</font></td>
<td><font size="1" face="Arial">##City##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">State:</font></td>
<td><font size="1" face="Arial">##State##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">Zip:</font></td>
<td><font size="1" face="Arial">##Zip##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#C6E2FF"><font size="1"
face="Arial">County:</font></td>
<td><font size="1" face="Arial">##Country##</font></td>
</tr>
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>Misc
Customer Information</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFCACA"><font size="1"
face="Arial">Phone:</font></td>
<td><font size="1" face="Arial">##Phone##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFCACA"><font size="1"
face="Arial">Fax:</font></td>
<td><font size="1" face="Arial">##Fax##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFCACA"><font size="1"
face="Arial">Homepage:</font></td>
<td><font size="1" face="Arial">##Homepage##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFCACA"><font size="1"
face="Arial">Reference:</font></td>
<td><font size="1" face="Arial">##Reference##</font></td>
</tr>
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>Comments</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#FFC4FF"><font size="1"
face="Arial">Comments:</font></td>
<td><font size="1" face="Arial">##Comments##</font></td>
</tr>
<tr>
<td colspan="2" width="200" bgcolor="#000000"><font
color="#FFFFFF" size="1" face="Arial"><strong>Sample
Fields</strong></font></td>
</tr>
<tr>
<td width="200" bgcolor="#AFD8D8"><font size="1"
face="Arial">Onelinetextbox:</font></td>
<td><font size="1" face="Arial">##Onelinetextbox##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#AFD8D8"><font size="1"
face="Arial">Scrollingtextbox:</font></td>
<td><font size="1" face="Arial">##Scrollingtextbox##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#AFD8D8"><font size="1"
face="Arial">Checkbox:</font></td>
<td><font size="1" face="Arial">##Checkbox##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#AFD8D8"><font size="1"
face="Arial">Radiobutton:</font></td>
<td><font size="1" face="Arial">##Radiobutton##</font></td>
</tr>
<tr>
<td width="200" bgcolor="#AFD8D8"><font size="1"
face="Arial">Dropdownmenu:</font></td>
<td><font size="1" face="Arial">##Dropdownmenu##</font></td>
</tr>
</table>
</body>
</html>


Include form data

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

6. Include form data

6.1 Include field variables

Inside the template file you need to include user fields (form variables). You can use placeholders for any variable. MailMe!PRO automatically merges the corresponding value inside.
You can include form data inside the email template, mail subject, the autoresponder template, success page, error page, required page or bademail page.

Usage: ##VARNAME##
The form contain a text input field with the name:
"FirstName" -> ##FirstName##
"_R_FirstName" -> ##FirstName##
"_EF_Email" -> ##Email##

Don't include _E_ _R_ _F_ _EF_ !

Sample:
Hello ##FirstName##, thanks for your order of ##Product## ...
The serial will be automatically sent to your mailbox ##Email## ...

6.2 Include environment variables

MailMe!PRO allows also to include environment variables inside the email template, mail subject, the autoresponder template, success page, error page, required page or bademail page.

The following placeholders are available:

##MUID## : MailMe! Pro unique identifier
## DATE## : Date and time
##MAILME_TO##": Recipient(s)
##MAILME_FROM##: Sender
##MAILME_SUBJECT##: Subject
"##HTTP_USER_AGENT##: Browser
##SCRIPT_NAME##: Script name
##REMOTE_IDENT##: Remote ident
##REMOTE_HOST##: Remote host
##REMOTE_ADDR##: Remote address
##REMOTE_USER##": Remote user
##SERVER_NAME##": Server name


Installation

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

1. Installation

1.1 Copy/upload the file mailmepro.exe

Create a new directory inside your /cgi-bin or /scripts directory on your webserver e.g. /scripts/mailme.
Copy the file mailmepro.exe to the newly created directory.
If you place the file elsewhere, you have to set execute access permissions for this directory on your web server.

Arclab MailMe!Pro requires "Execute" access permissions, "Script" is for scripts, not for compiled programs.
"Execute" enables applications to run in this directory (.dll and .exe files).

When uploading mailmepro.exe through an FTP client, make sure you are using binary mode.

1.2 Create a Success! and Error! page

Create a web page that contains some kind of "Thank you" message.
The success page is shown after the mail was sent.

You also need a web page that contains some kind of "Error" message.
This page will be displayed if there is an error and no mail will be sent.

Copy the pages to the same directory as the file mailmepro.exe.

1.3 Use Frontpage to create the form

You can also use Frontpage to setup and configure the required form.

First create a form and insert all form fields.
Frontpage:
Click on "Insert" from the menu and select "Form Field" and select the form field type you want to insert for earch field you want to insert.

Setup MailMe! Pro as handler for your form.
Frontpage:
Right click on the form and select "Form Properties"
Handler type: Custom ISAPI, NSAPI or CGI Script
Click the "Settings" button and use the following settings (replace www.domain.xxx with your domain)

Action: | http://www.domain.xxx/scripts/mailme/mailmepro.exe
Method: | POST
Encoding type: |

You also need to setup some settings as hidden fields.
Frontpage:
Right click on the form and select "Form Properties"
Click on "Add" and enter the required "Name"/"Value" pairs:

There are 4 basic settings which are required for MailMe! Pro to work.
For details please refer to: Basic settings

Name: | MAILME_SERVER
Value: | mail.domain.xxx

Name: | MAILME_TO
Value: | you@domain.xxx

Name: | MAILME_SUCCESS
Value: | success.html

Name: | MAILME_ERROR
Value: | error.html

1.4 Use an editor to create the form (hand-coded)

Setup the form tag.
<FORM ACTION="http://www.domain.xxx/cgi-win/mailmepro.exe" METHOD=POST>

Add hidden fields.
<input type="hidden" name="MAILME_SERVER"
value="mail.domain.xxx">
<input type="hidden" name="MAILME_TO"
value="you@domain.xxx">
<input type="hidden" name="MAILME_SUCCESS" value="success.html">
<input type="hidden" name="MAILME_ERROR" value="error.html">

Add form fields.

1.4 Use the MailMe! Pro form wizard (wizard.exe)

You can use the wizard (wizard.exe included in this package) to create a basic form.
Simple run the file wizard.exe


License agreement

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

A. License agreement

YOU HAVE THE LIMITED RIGHT TO EVALUATE THIS PROGRAM FOR 30 DAYS. AFTER THE EVALUATION PERIOD OF 30 DAYS YOU MUST EITHER PURCHASE A LICENSE OF THIS PROGRAM OR STOP USING IT!

ONE LICENSE OF ARCLAB MAILME! IS REQUIRED FOR EACH DOMAIN/SUBDOMAIN! (i. e. http://www.arclab.com)
YOU ALSO NEED AN ADDITIONAL LICENSE IF YOU LINK FROM OTHER DOMAINS/SUBDOMAINS TO MAILMEPRO.EXE.
PLEASE CONTACT US FOR VOLUME LICENSES. RESELLER WELCOME.

WARNING: THIS PRODUCT IS LICENSED TO YOU PURSUANT TO THE TERMS OF THE LICENSE AGREEMENT, AND IS PROTECTED BY COPYRIGHT LAW AND INTERNATIONAL TREATIES. UNAUTHORIZED REPRODUCTION OR DISTRIBUTION MAY RESULT IN SEVERE CIVIL AND CRIMINAL PENALTIES, AND WILL BE PROSECUTED TO THE MAXIMUM EXTENT POSSIBLE UND THE LAW. YOU MAY NOT: I. RENT OR LEASE OR SUBLICENSE THE SOFTWARE, II. DECOMPILE, REVERSE ASSEMBLE OR REVERSE ENGINEER THE SOFTWARE.

LIMITED WARRANTY AND DISCLAIMER OF WARRANTY
THIS SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS (INCLUDING INSTRUCTIONS FOR USE) ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. FURTHER, ARCLAB GDBR DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF USE, OF THE SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE. THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. IF THE SOFTWARE OR WRITTEN MATERIALS ARE DEFECTIVE YOU, AND NOT ARCLAB GDBR OR ITS DEALERS, DISTRIBUTORS, AGENTS, OR EMPLOYEES, ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

THE ABOVE IS THE ONLY WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, THAT IS MADE BY ARCLAB GDBR, ON THIS PRODUCT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY ARCLAB GDBR, ITS DEALERS, DISTRIBUTORS, AGENTS OR EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY AND YOU MAY NOT RELY ON ANY SUCH INFORMATION OR ADVICE.

NEITHER ARCLAB GDBR NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, AND THE LIKE) ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF ARCLAB GDBR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

ACKNOWLEDGMENT
BY USING THIS VERSION OF ARCLAB MAILME! YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LIMITED WARRANTY, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS' TERMS AND CONDITIONS. YOU ALSO AGREE THAT THE LIMITED WARRANTY IS THE COMPLETE AND EXCLUSIVE STATEMENT OF AGREEMENT BETWEEN THE PARTIES AND SUPERSEDE ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THE LIMITED WARRANTY.


Optional settings

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

3. Optional settings

3.1 Required page (MAILME_REQUIRED)

The required page is show if the user leaves a required user field empty (_R_varname). If MAILME_REQUIRED is not set, MAILME_ERROR will be used instead.

This file must be in the same directory on the World Wide Web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Samples:

req.html
<input type="hidden" name="MAILME_REQUIRED" value="req.html">

pleasefillout.htm
<input type="hidden" name="MAILME_REQUIRED" value="pleasefillout.htm">

3.2 Bad email page (MAILME_BADEMAIL)

The bad email page is show if the user enters a non valid emailaddress or leaves an email verification field empty (_E_varname). If MAILME_BADEMAIL is not set, MAILME_REQUIRED will be used instead. This page is also used together with MAILME_REJECTEMAIL.

This file must be in the same directory on the World Wide Web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

Samples:

email.html
<input type="hidden" name="MAILME_BADEMAIL" value="email.html">

invalid.htm
<input type="hidden" name="MAILME_BADEMAIL" value="hinvalid.htm">

3.3 From (MAILME_FROM)

Sender (from) of the email. MAILME_TO is used as sender if this field is not set. You can also override this setting by using _F_varname or _EF_varname to use the user input as sender.

Sample:
you@domain.xxx
<input type="hidden" name="MAILME_FROM" value="you@domain.xxx">

3.4 Subject (MAILME_SUBJECT)

Subject for the email. You can also include user fields here, format: ##VARNAME##.
A generic subject is used if you don't set MAILME_SUBJECT.

Samples:

Support form
<input type="hidden" name="MAILME_SUBJECT" value="Support form">

Online order for product ##Product##
<input type="hidden" name="MAILME_SUBJECT" value="Online order for product ##Product##">

3.5 Mail priority (MAILME_PRIORITY)

Select "HIGH" for high priority of the email. Normal is used as default value.

HIGH
<input type="hidden" name="MAILME_PRIORITY" value="HIGH">

3.6 Environment report (MAILME_ENVREPORT)

Set "ON" to include environment information like browser, hostname, servername, scriptname...

ON
<input type="hidden" name="MAILME_ENVREPORT" value="ON">

3.7 Debug mode (MAILME_DEBUG)

Set "ON" to run in debug mode. This can be used for bug fixing. In this mode no email will be sent.

ON
<input type="hidden" name="MAILME_DEBUG" value="ON">

3.8 Strip empty fields (MAILME_NOEMPTYFIELDS)

Set "ON" to strip out empty fields. (only when using internal email format, no template)

ON
<input type="hidden" name="MAILME_NOEMPTYFIELDS" value="ON">

3.9 Friendly From (MAIME_FROMFRIENDLY)

Friendly name of the sender (from).

Arclab Software
<input type="hidden" name="MAILME_FROMFRIENDLY" value="Arclab Software">

3.10 SMTP server port (MAILME_SERVERPORT)

Specify the SMTP server port.
This might be useful if your SMTP server is not running on the default port or you want to bypass SMTP antivirus programs.
The default port (25) is used if this setting is not defined.

default: 25
<input type="hidden" name="MAILME_SERVERPORT" value="25">
27
<input type="hidden" name="MAILME_SERVERPORT" value="27">

3.11 Security: Allowed recipients (to)

Specify valid target (MAILME_TO) email addresses or domains.
To use this option, place a file with the name "recipients.txt" in the same directory as the file mailmepro.exe on your webserver.
This file is optional. If the file is not found, all email addresses are valid.

If the email address (specified as MAILME_TO in your form) is not included in the file, you will get an ERROR 900.
This feature provides additional security. Normally your mailserver will not send messages to non-local email addresses without authentication, but if you have opened your mailserver (relay permissions for the webserver/IP address) you can use this option to secure the script.

Enter valid target email addresses (one email in each line)
Sample: recipients.txt
support@arclab.com
office@arclab.com
...

You can also use domain names here!
Sample: recipients.txt
arclab.com
arclab.net
...


Special user vars

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

5. Form fields

5.1 Required fields (_R_)

Use _R_ as prefix for required fields (variables). If the user leaves one of these fields empty the required or error page will be shown.

Samples:
<input type="text" name="_R_Name" value="">
<input type="text" name="_R_Address" value="">

5.2 Emailaddress verification (_E_)

Use _E_ as prefix for emailaddress verification. If the user leaves one of these fields empty or does not enter a valid emailaddress in the format xxx@xxx.xxx the bademail, required or error page will be shown.

Sample: <input type="text" name="_E_Email" value="">

5.3 Override from (_F_)

Use _F_ as prefix to use the field value as sender for the email. This allows you to reply to the user.

Sample: <input type="text" name="_F_Email" value="">

5.4 Override from and emailaddress verification (_EF_)

Use _EF_ to combine override from and emailaddress verification. This is required if you want to use the autoresponder function. (See 7.)

Sample: <input type="text" name="_EF_Email" value="">

5.5 Form field types

One-line text box:

Samples:
Please enter your name:
<input type="text" size="30"name="Name">

Please enter your name: (Required)
<input type="text" size="30" name="_R_Name1">

Please enter your email:
<input type="text" size="30" name="Email">

Please enter your email: (Override from)
<input type="text" size="30" name="_F_Email1">

Please enter your email: (Emailaddress verification)
<input type="text" size="30" name="_E_Email2">

Please enter your email: (Emailaddress verification + override from)
<input type="text" size="30"name="_EF_Email3">

Scrolling text box:
<textarea name="scrollingtext"rows="2" cols="20"></textarea>

Check box:
<input type="checkbox" name="checkbox" value="ON">

Radio button:

Sample:
Product
    A Product B Product C
<input type="radio" checked
    name="product" value="A">
<input type="radio" name="product"
    value="B">
<input type="radio" name="product"
    value="C">

Drop down menu:

Sample:

<select name="options" size="1">
<option selected>OPTION1</option>
<option>OPTION2</option>
<option>OPTION3</option>
<option>OPTION4</option>
</select>

Button:
<input type="submit" name="button"
    value="Submit">
<input type="reset" name="B1"
    value="Reset">

5.6 Ignore (_I_)

Use _I_ as prefix to ignore user fields. This fields are not included in the email. (e.g. Submit button)

<input type="submit" name="_I_go" value="Submit">

5.7 Reject emailaddresses (MAILME_REJECTEMAIL)

URL to text document which contains emailaddresses or domains you want to reject.
You can use this to reject emailaddresses from "anonymous" email providers.
If specified and the user enters one of these strings inside the _F_ or _EF_ form field the MAILME_BADEMAIL document will be shown.

This file must be in the same directory on the web server as the file mailmepro.exe!
Please enter only the filename! Format: filename.extension

reject.txt
<input type="hidden" name="MAILME_REJECTEMAIL" value="reject.txt">

The text document should be in standard ascii format with one value on each line.

Sample reject.txt:
@hotmail.com
@yahoo.com
@bigfoot.com


MailMe!

Arclab MailMe! Pro v3

Basic sample with html email (default format)

Field 1:

Field 2:


MailMe!

Arclab MailMe! Pro v3

Basic sample with plain text email format

Field 1:

Field 2:


MailMe!

Arclab MailMe! Pro v3

Basic sample with override from

From (Email):

Field 1:

Field 2:


MailMe!

Arclab MailMe! Pro v3

Basic sample with required fields, email verification, override from

From (Email): (verify correct syntax e.g. aaa@aaa.aaa)

Field 1: (required)

Field 2: (required)

Field 3: (optional)


MailMe!

Arclab MailMe! Pro v3

Basic sample with form data inside the success page

From (Email):

Field 1:

Field 2:


MailMe!

Arclab MailMe! Pro v3

Contact form

Name:
Email:
Message:


MailMe!

Arclab MailMe! Pro v3

Contact form with autoresponder

Name:
Email: (required)
Message:


MailMe!

Arclab MailMe! Pro v2

ERROR!


Arclab MailMe! Pro v3

Order form

Address

Email:
(from,verify)
Name:
(required)
First Name:
(required)
Company:

Street Address:
(required)

City:
(required)
State/Province:

Zip:
(required)
Country:
(required)

Misc Customer Information

Phone:

Fax:

Homepage:

Reference:

Comments

Comments:

Sample Fields

One line text box:
Scrolling text box:
Check box: ON
Radio buttons: A B C
Drop-down menu:


Arclab MailMe! Pro v3

Order form with email template

Address

Email:
(from,verify)
Name:
(required)
First Name:
(required)
Company:

Street Address:
(required)

City:
(required)
State/Province:

Zip:
(required)
Country:
(required)

Misc Customer Information

Phone:

Fax:

Homepage:

Reference:

Comments

Comments:

Sample Fields

One line text box:
Scrolling text box:
Check box: ON
Radio buttons: A B C
Drop-down menu:


MailMe!

Arclab MailMe! Pro v3

PLEASE FILL OUT ALL REQUIRED FIELDS!


Samples

Arclab MailMe! Pro v3 © 2002 ARCLAB SOFTWARE TECHNOLOGIES

Samples

Sourcecodes and all required files included in this package.
Directory: samples

  • Basic sample with html email (default format)
  • Basic sample with plain text email format
  • Basic sample with override from
  • Basic sample with required fields, email verification, override from
  • Basic sample with form data inside the success page
  • Order form
  • Order form with email template
  • Contact form
  • Contact form with autoresponder

Sample settings: (adjust these settings inside the forms before use)

  • MAILME_SERVER = mail.domain.xxx
  • MAILME_TO = you@domain.xxx
  • URL (form action) = http://www.domain.xxx/cgi-bin/mailme/mailmepro.exe
  • MAILME_SUCCESS = success.html
  • MAILME_ERROR = error.html

Optional settings (used by advanced samples only)

  • MAILME_REQUIRED = required.html
  • MAILME_BADEMAIL = bademail.html
  • MAILME_TEMPLATE = template.txt
  • RESPOND_TEMPLATE = respond.txt


MailMe!

Arclab MailMe! Pro v3

Thank you!

You can use any HTML page as success page.


MailMe!

Arclab MailMe! Pro v2

Success

Form data:

Email: ##Email##

Field1: ##Field1##

Field2: ##Field2##

You can use any page (URL) as success page.


MailMe!

Arclab MailMe! Pro v3

Thank you ##Name## (##Email##)

the following message was successfully sent.

##Message##

You can use any page (URL) as success page.


MailMe!

Arclab MailMe! Pro v3

Thank you ##Name##

a message was sent to your email: ##Email##

##Message##

You can use any page (URL) as success page.